# QAbstractTransition Class Reference

### [com.trolltech.qt.core package]

Inherits QObject.

### Constructor

- void QAbstractTransition(QState sourceState)

### Constructor Properties

- prototype: The QAbstractTransition prototype object

### Prototype Object Properties

The QAbstractTransition prototype object inherits properties from the QObject prototype object and also has the following properties.

- void addAnimation(QAbstractAnimation animation)
- List animations()
- QStateMachine machine()
- void removeAnimation(QAbstractAnimation animation)

### Instance Properties

QAbstractTransition objects inherit properties from the QAbstractTransition prototype object and also have the following properties.

- sourceState
- targetState
- targetStates